Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 19 Sep 2018, 07:51
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
SuperTux2
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [10 Posts]  
Author Message
HoerMirAuf


Joined: 22 Jan 2008
Posts: 256
Location: Würzburg

PostPosted: Wed 18 Mar 2015, 03:08    Post subject:  SuperTux2  

Hi Volks,

here a pet from Supertux2

works in slacko, tahr and should work on other puppys
dependencies included
SuperTux2 57 MB

Last edited by HoerMirAuf on Thu 19 Mar 2015, 11:35; edited 4 times in total
Back to top
View user's profile Send private message 
sonny


Joined: 29 Jan 2015
Posts: 34
Location: Washington State

PostPosted: Wed 18 Mar 2015, 14:37    Post subject:  

This link leads to the mariochronicle game, need fixin... Mad
Back to top
View user's profile Send private message 
HoerMirAuf


Joined: 22 Jan 2008
Posts: 256
Location: Würzburg

PostPosted: Thu 19 Mar 2015, 01:22    Post subject:  

Damn! ... apologize ... link is fixed ! Wink
Back to top
View user's profile Send private message 
mister_electronico


Joined: 20 Jan 2008
Posts: 960
Location: Asturias_ España

PostPosted: Sun 03 May 2015, 09:58    Post subject: Thanks HoerMirAuf  

Thanks HoerMirAuf is working very fine in Puppy-Slacko 5.6, I love this game.

Greatings.
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger 
wimpy


Joined: 22 Aug 2012
Posts: 406
Location: Essex, UK

PostPosted: Wed 23 Sep 2015, 10:38    Post subject: supertux2  

I've tried this in both Lucid 5.2.8 and Precise 5.7.1 and in each case I got the message that there is a missing libSDL_image-1.2.so.0 file (when run from a terminal). I found a SDL rpm file (on the SDL site) but that doesn't seem to have this file. There is a libSDL-1.2.so.0 file in the /usr/share/games/supertux2 directory.
Any help to get this working would be appreciated.

_________________
LxXenial16.08, LxPupSc17.07.01,Lucid 5.2.8 and others - all frugal
Back to top
View user's profile Send private message 
Ted Dog


Joined: 13 Sep 2005
Posts: 4013
Location: Heart of Texas

PostPosted: Wed 23 Sep 2015, 10:48    Post subject:  

why is it so massive, orginal game was in a few K not M.
Back to top
View user's profile Send private message 
HoerMirAuf


Joined: 22 Jan 2008
Posts: 256
Location: Würzburg

PostPosted: Thu 01 Oct 2015, 01:55    Post subject:  

@Ted Dog:

Dont know why ...

The Source just 69,5 MB

https://supertux.github.io/download.html

The Music Folder need 35MB, The Level Folder just 17 MB ...

But you are right the older version 0.1xx is a pet file under 8MB.
Maybe there is a other/better graphic support?

@wimpy

have you found a working libSDL_image-1.2.so.0??
libSDL_image-1.2.so.0

Copy them to the same folder like the libsdl-1.2.so.0

But it's the SDL library from Slacko, dont know if it works for Lucid.

(Edit: tryed it out, will not work with Lucid ... the libc.so.6 from lucid is too old, but there was a Supertux-0.1.3 anywhere for Lucid
http://www.murga-linux.com/puppy/viewtopic.php?t=37419)

_________________
Slacko-5.6 / Kernel 4.8.15
Back to top
View user's profile Send private message 
wimpy


Joined: 22 Aug 2012
Posts: 406
Location: Essex, UK

PostPosted: Thu 01 Oct 2015, 03:05    Post subject:  

@HoerMirAuf Thanks for the reply. I gave up on supertux2 when, after finding some LDL and image files, it still insisted that it needed a GLIBXX and a ....physfs.so.1. The supertux.pet link you gave works from the console, but hasn't got a menu entry. There is a menu entry for supertux2 (shouldn't be there) so I'll have to work out how to edit the menu. Thanks once again for your help.
_________________
LxXenial16.08, LxPupSc17.07.01,Lucid 5.2.8 and others - all frugal
Back to top
View user's profile Send private message 
HoerMirAuf


Joined: 22 Jan 2008
Posts: 256
Location: Würzburg

PostPosted: Thu 01 Oct 2015, 13:34    Post subject:  

Took a look inside the SuperTux Package for Lucid

Contains a Menu Entrie file.
Maybe you have to update your Menu?

Open a Terminal an execute:

fixmenus; jwm -reload

_________________
Slacko-5.6 / Kernel 4.8.15
Back to top
View user's profile Send private message 
wimpy


Joined: 22 Aug 2012
Posts: 406
Location: Essex, UK

PostPosted: Thu 01 Oct 2015, 14:54    Post subject:  

I tried the "fixmenus; jwm -reload", but it did not work. I set up supertux using the menu editor. That didn't work either, but I did manage to set up a desktop icon using the editor and that works fine.
_________________
LxXenial16.08, LxPupSc17.07.01,Lucid 5.2.8 and others - all frugal
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [10 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0587s ][ Queries: 11 (0.0140s) ][ GZIP on ]